메인 콘텐츠로 건너뛰기

Documentation Index

Fetch the complete documentation index at: https://docs.llmgenerator.com/llms.txt

Use this file to discover all available pages before exploring further.

GET /credits/history

인증된 사용자의 크레딧 거래(구매, 사용, 환불 등) 목록을 반환합니다. 세션 기반 인증(JWT 액세스 토큰)이 필요합니다.
서드파티 연동: API 키 인증을 사용할 때는 대신 GET /credits/history/api를 사용하세요.

쿼리 매개변수

limit
number
기본값:"20"
반환할 거래 건수입니다(최대 100).
offset
number
기본값:"0"
페이지네이션을 위해 건너뛸 거래 건수입니다.
type
string
거래 유형으로 필터링합니다: purchase, usage, 또는 refund.

응답

transactions
array
거래 객체 배열입니다.
total
number
거래 총 건수입니다.
hasMore
boolean
추가로 더 가져올 거래가 있는지 여부입니다.
curl -X GET "https://api.llmgenerator.com/api/v1/credits/history?limit=10" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"
{
  "transactions": [
    {
      "id": "txn_abc123",
      "type": "purchase",
      "amount": 500,
      "description": "Purchased Professional Pack",
      "siteId": null,
      "createdAt": "2026-01-15T10:00:00.000Z"
    },
    {
      "id": "txn_def456",
      "type": "usage",
      "amount": -50,
      "description": "llms.txt generation for example.com (enhanced)",
      "siteId": "550e8400-e29b-41d4-a716-446655440000",
      "createdAt": "2026-01-20T14:30:00.000Z"
    },
    {
      "id": "txn_ghi789",
      "type": "usage",
      "amount": -25,
      "description": "llms.txt generation for another-site.com (simple)",
      "siteId": "660e8400-e29b-41d4-a716-446655440001",
      "createdAt": "2026-01-22T09:15:00.000Z"
    }
  ],
  "total": 47,
  "hasMore": true
}

GET /credits/history/api

API 키 인증으로 사용자의 크레딧 거래 내역을 반환합니다. 서드파티 연동에 적합합니다.

인증

API 키 인증이 필요합니다. Authorization 헤더에 API 키를 넣습니다:
Authorization: Bearer llmgen_your_api_key_here

쿼리 매개변수

/credits/history와 동일합니다.

응답

/credits/history와 동일합니다.
curl -X GET "https://api.llmgenerator.com/api/v1/credits/history/api?limit=10" \
  -H "Authorization: Bearer llmgen_your_api_key_here"